%global	mainrel 1
%global	mainver 1.6.3.1
%global	gemname	nokogiri
%global	gem_name nokogiri
%global	prerpmver %(echo "%{?prever}" | sed -e 's|\\.||g')
%global	gemdir /usr/share/gems
%global	geminstdir %{gemdir}/gems/%{gemname}-%{mainver}%{?prever}

Summary:	An HTML, XML, SAX, and Reader parser
Name:		rubygem-nokogiri
Version:	1.6.3.1
Release:	%mkrel 1
Group:		Development/Ruby
License:	MIT
URL:		http://nokogiri.rubyforge.org/nokogiri/
Source0:	https://rubygems.org/gems/%{gemname}-%{mainver}%{?prever}.gem
Requires:	ruby
BuildRequires:	ruby
BuildRequires:	rubygems
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}xslt-devel
BuildRequires:	ruby-devel
Requires:	rubygems
Provides:	rubygem(%{gemname}) = %{version}-%{release}

%description
Nokogiri parses and searches XML/HTML very quickly, and also has
correctly implemented CSS3 selector support as well as XPath support.

Nokogiri also features an Hpricot compatibility layer to help ease the change
to using correct CSS and XPath.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%package	-n ruby-%{gemname}
Summary:	Non-Gem support package for %{gemname}
Group:		Development/Ruby
Requires:	%{name} = %{version}-%{release}
Provides:	ruby(%{gemname}) = %{version}-%{release}

%description	-n ruby-%{gemname}
This package provides non-Gem support for %{gemname}.

%prep
%setup -q -T -c

# Gem repack
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec

# remove bundled external libraries
sed -i \
	-e 's|, "ports/archives/[^"][^"]*"||g' \
	-e 's|, "ports/patches/[^"][^"]*"||g' \
	%{gem_name}.gemspec
# Actually not needed when using system libraries
sed -i -e '\@mini_portile@d' %{gem_name}.gemspec

# Ummm...
env LANG=ja_JP.UTF-8 gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR

popd
rm -rf tmpunpackdir

%build
mkdir -p ./%{gemdir}
# 1.6.0 needs this
export NOKOGIRI_USE_SYSTEM_LIBRARIES=yes

%gem_install

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* %{buildroot}%{gemdir}

# Remove backup file
find %{buildroot} -name \*.orig_\* | xargs rm -vf

# move arch dependent files to %%gem_extdir
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a ./%{gem_extdir_mri}/* %{buildroot}%{gem_extdir_mri}/

pushd %{buildroot}
rm -f .%{gem_extdir_mri}/{gem_make.out,mkmf.log}

# move bin/ files
mkdir -p %{buildroot}%{_bindir}
cp -a %_builddir/rubygem-nokogiri-1.6.3.1/usr/bin/* %{buildroot}%{_bindir}/

# remove all shebang
for f in $(find %{buildroot}%{geminstdir} -name \*.rb)
do
	sed -i -e '/^#!/d' $f
	chmod 0644 $f
done

# cleanups
rm -rf %{buildroot}%{geminstdir}/ext/%{gemname}/
rm -rf %{buildroot}%{geminstdir}/tmp/
rm -f %{buildroot}%{geminstdir}/{.autotest,.require_paths,.gemtest,.travis.yml}
rm -f %{buildroot}%{geminstdir}/{build_all,dependencies.yml,test_all}
rm -f %{buildroot}%{geminstdir}/.editorconfig
rm -rf %{buildroot}%{geminstdir}/suppressions/


%files
%defattr(-,root, root,-)
%{_bindir}/%{gemname}
%{gem_extdir_mri}/
%dir	%{geminstdir}/
%doc	%{geminstdir}/[A-Z]*
%exclude %{geminstdir}/Rakefile
%exclude %{geminstdir}/Gemfile
%{geminstdir}/bin/
%{geminstdir}/lib/
%exclude	%{gemdir}/cache/%{gemname}-%{mainver}%{?prever}.gem
%{gemdir}/specifications/%{gemname}-%{mainver}%{?prever}.gemspec

%files	doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
#%%{geminstdir}/deps.rip
#%%{geminstdir}/spec/
%{geminstdir}/tasks/
%{geminstdir}/test/
%{gemdir}/doc/%{gemname}-%{mainver}%{?prever}/

%changelog
* Sat Nov 01 2014 bb <bb> 1.6.3.1-1pclos2014
- import
